Subject: Re: [PATCH] pcnet32: fix a logic error with pci_set_dma_mask

From: Geliang Tang <[email-masked]>
Date: Tue, 13 Oct 2015 00:53:10 -0700

On Mon, Oct 12, 2015 at 05:38:14AM -0700, David Miller wrote:
> From: Geliang Tang <[email-masked]>
> Date: Fri,  9 Oct 2015 03:45:39 -0700
> 
> > pcnet32 can't work on my machine recently. It says "architecture
> > does not support 32bit PCI busmaster DMA". There is a logic error
> > in it: pci_set_dma_mask() return 0 means return successfully.
> > 
> > Signed-off-by: Geliang Tang <[email-masked]>
> 
> This driver doesn't call pci_set_dma_mask() in any of my tree(s).

This patch is against linux-next tree. It was introduced by commit
9c034d4 'pcnet32: use pci_set_dma_mask insted of pci_dma_supported'.